import request from '@/utils/request'

// 查询润滑工单列表
export function listDmsBillsLubeInstance(query) {
  return request({
    url: '/dms/dmsBillsLubeInstance/list',
    method: 'get',
    params: query
  })
}

// 查询润滑工单详细
export function getDmsBillsLubeInstance(lubeInstanceId) {
  return request({
    url: '/dms/dmsBillsLubeInstance/' + lubeInstanceId,
    method: 'get'
  })
}

// 新增润滑工单
export function addDmsBillsLubeInstance(data) {
  return request({
    url: '/dms/dmsBillsLubeInstance',
    method: 'post',
    data: data
  })
}

// 修改润滑工单
export function updateDmsBillsLubeInstance(data) {
  return request({
    url: '/dms/dmsBillsLubeInstance',
    method: 'put',
    data: data
  })
}

// 删除润滑工单
export function delDmsBillsLubeInstance(lubeInstanceId) {
  return request({
    url: '/dms/dmsBillsLubeInstance/' + lubeInstanceId,
    method: 'delete'
  })
}
